Subject: Re: [RFC] [PATCH] remote: add new --fetch option for set-url

From: Peter Wu <[email-masked]>
Date: Tue, 25 Nov 2014 00:27:31 +0100

On Monday 24 November 2014 17:54:57 Jeff King wrote:
> On Mon, Nov 24, 2014 at 11:47:30PM +0100, Peter Wu wrote:
> > I can understand that --fetch sounds a bit weird, what about this
> > natural translation:
> > 
> >     "git remote: set the URL (only the fetch one) for NAME to URL"
> >     git remote set-url --only=fetch NAME URL
> > 
> >     "git remote: set the URL (only the push one) for NAME to URL"
> >     git remote set-url --only=push NAME URL
> >     (obsoletes --push)
> > 
> >     "git remote: set the URL (both) for NAME to URL"
> >     git remote set-url --only=both NAME URL
> >     (it would be nice if --only=both (weird!) can be removed in the
> >     future such that the option is more natural)
> > 
> >     "git remote: set the URL for NAME to URL"
> >     git remote set-url NAME URL
> >     (current behavior: YOU git guru knows what I do right?)
> 
> Yeah, I think that addresses my concern (because it explicitly leaves
> no-option as a historical curiosity, and not as an implicit version of
> "--both").

Ok, I will make a clear note about the default (without --only) behavior
having weird behavior for historical reasons. Are you really OK with
--only=both? It sounds a bit odd (mathematically speaking it is correct
as fetch and push are both partitions that form the whole set if you
ignore the historical behavior).

> > >   3. Live with it. Probably address the weirdness in the documentation.
> > > 
> > >   4. Do nothing, drop the patch.
> > > 
> > > I think I'd be OK with (3), with an appropriate documentation update.
> > 
> > I prefer 1 for now as it avoids the extra manual action I have to take
> > when changing URLs.
> 
> I'm not sure if I was clear on (3), but "live with it" was "live with
> your original patch". Which I think you would also be happy with.

Oh yes, I misunderstood this one ;)

What about the translations? Should I send a separate patch for that or
can I update all translations at once?
-- 
Kind regards,
Peter
https://lekensteyn.nl